com.springsource.kernel.deployer.core.DeploymentException

There are no available Samebug tips for this exception. Do you have an idea how to solve this issue? A short tip would help users who saw this issue last week.

  • When trying to Deploy org.springframework.petclinic.eclipselink-2.0.0.RELEASE.par in dm Server getting the below stack trace. [2009-08-18 11:59:28.247] fs-watcher <HD0001I> Processing 'CREATED' event for file 'org.springframework.petclinic.eclipselink-2.0.0.RELEASE.par'. [2009-08-18 11:59:32.724] fs-watcher <ME0003I> Dump 'serviceability/dump/20090818115908' generated [2009-08-18 11:59:32.803] fs-watcher <DE0018E> Unable to install application from location 'file:/Users/rmadala/system-verification-tests/com.springsource.server.svt/target/test-expanded/springsource-dm-server-2.0.0.CI-B364/pickup/org.springframework.petclinic.eclipselink-2.0.0.RELEASE.par'. Could not satisfy constraints for bundle 'org.springframework.petclinic.eclipselink-2.0.0.RELEASE-org.springframework.petclinic.eclipselink-synthetic.context' at version '2.0.0.RELEASE'. Cannot resolve: org.springframework.petclinic.eclipselink-2.0.0.RELEASE-org.springframework.petclinic.eclipselink-synthetic.context Resolver report: Missing constraint: <Import-Package: org.springframework.petclinic.repository.jpa; version="0.0.0"> in bundle <org.springframework.petclinic.eclipselink-2.0.0.RELEASE-org.springframework.petclinic.eclipselink-synthetic.context_2.0.0.RELEASE> Uses violation: <Import-Package: org.springframework.beans.factory.aspectj; version="0.0.0"> in bundle <org.springframework.petclinic.eclipselink-2.0.0.RELEASE-org.springframework.petclinic.repository.jpa_2.0.0.RELEASE> Possible matches: <Export-Package: org.springframework.beans.factory.aspectj; version="3.0.0.CI-282"> from <org.springframework.aspects_3.0.0.CI-282> No dependent constraint mismatch. Try refreshing the <org.springframework.aspects_3.0.0.CI-282> bundle. . [2009-08-18 11:59:32.809] fs-watcher <DE0011E> Deployment of 'org.springframework.petclinic.eclipselink' version '2.0.0.RELEASE' failed. com.springsource.kernel.deployer.core.DeploymentException: Dependency satisfaction failed at com.springsource.kernel.deployer.core.internal.StandardApplicationDeployer.deploy(StandardApplicationDeployer.java:384) at com.springsource.kernel.deployer.hot.HotDeploymentFileSystemListener.deploy(HotDeploymentFileSystemListener.java:191) at com.springsource.kernel.deployer.hot.HotDeploymentFileSystemListener.onChange(HotDeploymentFileSystemListener.java:88) at com.springsource.util.io.FileSystemChecker.notifyListeners(FileSystemChecker.java:182) at com.springsource.util.io.FileSystemChecker.check(FileSystemChecker.java:145) at com.springsource.kernel.deployer.hot.WatchTask.run(WatchTask.java:69) at java.lang.Thread.run(Thread.java:637) Caused by: com.springsource.kernel.osgi.framework.UnableToSatisfyBundleDependenciesException: Unable to satisfy dependencies of bundle 'org.springframework.petclinic.eclipselink-2.0.0.RELEASE-org.springframework.petclinic.eclipselink-synthetic.context' at version '2.0.0.RELEASE': Cannot resolve: org.springframework.petclinic.eclipselink-2.0.0.RELEASE-org.springframework.petclinic.eclipselink-synthetic.context Resolver report: Missing constraint: <Import-Package: org.springframework.petclinic.repository.jpa; version="0.0.0"> in bundle <org.springframework.petclinic.eclipselink-2.0.0.RELEASE-org.springframework.petclinic.eclipselink-synthetic.context_2.0.0.RELEASE> Uses violation: <Import-Package: org.springframework.beans.factory.aspectj; version="0.0.0"> in bundle <org.springframework.petclinic.eclipselink-2.0.0.RELEASE-org.springframework.petclinic.repository.jpa_2.0.0.RELEASE> Possible matches: <Export-Package: org.springframework.beans.factory.aspectj; version="3.0.0.CI-282"> from <org.springframework.aspects_3.0.0.CI-282> No dependent constraint mismatch. Try refreshing the <org.springframework.aspects_3.0.0.CI-282> bundle. at com.springsource.kernel.osgi.framework.equinox.DependencyCalculator.calculateDependencies(DependencyCalculator.java:153) at com.springsource.kernel.osgi.framework.equinox.EquinoxBundleInstaller.satisfyConstraints(EquinoxBundleInstaller.java:150) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) at java.lang.reflect.Method.invoke(Method.java:597) at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:307) at org.springframework.osgi.service.importer.support.internal.aop.ServiceInvoker.doInvoke(ServiceInvoker.java:58) at org.springframework.osgi.service.importer.support.internal.aop.ServiceInvoker.invoke(ServiceInvoker.java:62) at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172) at org.springframework.aop.support.DelegatingIntroductionInterceptor.doProceed(DelegatingIntroductionInterceptor.java:131) at org.springframework.aop.support.DelegatingIntroductionInterceptor.invoke(DelegatingIntroductionInterceptor.java:119) at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172) at org.springframework.osgi.service.importer.support.LocalBundleContextAdvice.invoke(LocalBundleContextAdvice.java:59) at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172) at org.springframework.aop.support.DelegatingIntroductionInterceptor.doProceed(DelegatingIntroductionInterceptor.java:131) at org.springframework.aop.support.DelegatingIntroductionInterceptor.invoke(DelegatingIntroductionInterceptor.java:119) at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172) at org.springframework.aop.framework.JdkDynamicAopProxy.invoke(JdkDynamicAopProxy.java:202) at $Proxy47.satisfyConstraints(Unknown Source) at com.springsource.kernel.deployer.app.MultiBundleApplication.checkModuleConstraints(MultiBundleApplication.java:207) at com.springsource.kernel.deployer.app.MultiBundleApplication.deploy(MultiBundleApplication.java:136) at com.springsource.kernel.deployer.core.internal.StandardApplicationDeployer.deploy(StandardApplicationDeployer.java:379) ... 6 more [2009-08-18 11:59:32.814] fs-watcher <HD0002E> Hot deploy failed for resource '/Users/rmadala/system-verification-tests/com.springsource.server.svt/target/test-expanded/springsource-dm-server-2.0.0.CI-B364/pickup/org.springframework.petclinic.eclipselink-2.0.0.RELEASE.par'.
    via by Radhika Madala (c),
  • When trying to Deploy org.springframework.petclinic.eclipselink-2.0.0.RELEASE.par in dm Server getting the below stack trace. [2009-08-18 11:59:28.247] fs-watcher <HD0001I> Processing 'CREATED' event for file 'org.springframework.petclinic.eclipselink-2.0.0.RELEASE.par'. [2009-08-18 11:59:32.724] fs-watcher <ME0003I> Dump 'serviceability/dump/20090818115908' generated [2009-08-18 11:59:32.803] fs-watcher <DE0018E> Unable to install application from location 'file:/Users/rmadala/system-verification-tests/com.springsource.server.svt/target/test-expanded/springsource-dm-server-2.0.0.CI-B364/pickup/org.springframework.petclinic.eclipselink-2.0.0.RELEASE.par'. Could not satisfy constraints for bundle 'org.springframework.petclinic.eclipselink-2.0.0.RELEASE-org.springframework.petclinic.eclipselink-synthetic.context' at version '2.0.0.RELEASE'. Cannot resolve: org.springframework.petclinic.eclipselink-2.0.0.RELEASE-org.springframework.petclinic.eclipselink-synthetic.context Resolver report: Missing constraint: <Import-Package: org.springframework.petclinic.repository.jpa; version="0.0.0"> in bundle <org.springframework.petclinic.eclipselink-2.0.0.RELEASE-org.springframework.petclinic.eclipselink-synthetic.context_2.0.0.RELEASE> Uses violation: <Import-Package: org.springframework.beans.factory.aspectj; version="0.0.0"> in bundle <org.springframework.petclinic.eclipselink-2.0.0.RELEASE-org.springframework.petclinic.repository.jpa_2.0.0.RELEASE> Possible matches: <Export-Package: org.springframework.beans.factory.aspectj; version="3.0.0.CI-282"> from <org.springframework.aspects_3.0.0.CI-282> No dependent constraint mismatch. Try refreshing the <org.springframework.aspects_3.0.0.CI-282> bundle. . [2009-08-18 11:59:32.809] fs-watcher <DE0011E> Deployment of 'org.springframework.petclinic.eclipselink' version '2.0.0.RELEASE' failed. com.springsource.kernel.deployer.core.DeploymentException: Dependency satisfaction failed at com.springsource.kernel.deployer.core.internal.StandardApplicationDeployer.deploy(StandardApplicationDeployer.java:384) at com.springsource.kernel.deployer.hot.HotDeploymentFileSystemListener.deploy(HotDeploymentFileSystemListener.java:191) at com.springsource.kernel.deployer.hot.HotDeploymentFileSystemListener.onChange(HotDeploymentFileSystemListener.java:88) at com.springsource.util.io.FileSystemChecker.notifyListeners(FileSystemChecker.java:182) at com.springsource.util.io.FileSystemChecker.check(FileSystemChecker.java:145) at com.springsource.kernel.deployer.hot.WatchTask.run(WatchTask.java:69) at java.lang.Thread.run(Thread.java:637) Caused by: com.springsource.kernel.osgi.framework.UnableToSatisfyBundleDependenciesException: Unable to satisfy dependencies of bundle 'org.springframework.petclinic.eclipselink-2.0.0.RELEASE-org.springframework.petclinic.eclipselink-synthetic.context' at version '2.0.0.RELEASE': Cannot resolve: org.springframework.petclinic.eclipselink-2.0.0.RELEASE-org.springframework.petclinic.eclipselink-synthetic.context Resolver report: Missing constraint: <Import-Package: org.springframework.petclinic.repository.jpa; version="0.0.0"> in bundle <org.springframework.petclinic.eclipselink-2.0.0.RELEASE-org.springframework.petclinic.eclipselink-synthetic.context_2.0.0.RELEASE> Uses violation: <Import-Package: org.springframework.beans.factory.aspectj; version="0.0.0"> in bundle <org.springframework.petclinic.eclipselink-2.0.0.RELEASE-org.springframework.petclinic.repository.jpa_2.0.0.RELEASE> Possible matches: <Export-Package: org.springframework.beans.factory.aspectj; version="3.0.0.CI-282"> from <org.springframework.aspects_3.0.0.CI-282> No dependent constraint mismatch. Try refreshing the <org.springframework.aspects_3.0.0.CI-282> bundle. at com.springsource.kernel.osgi.framework.equinox.DependencyCalculator.calculateDependencies(DependencyCalculator.java:153) at com.springsource.kernel.osgi.framework.equinox.EquinoxBundleInstaller.satisfyConstraints(EquinoxBundleInstaller.java:150) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) at java.lang.reflect.Method.invoke(Method.java:597) at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:307) at org.springframework.osgi.service.importer.support.internal.aop.ServiceInvoker.doInvoke(ServiceInvoker.java:58) at org.springframework.osgi.service.importer.support.internal.aop.ServiceInvoker.invoke(ServiceInvoker.java:62) at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172) at org.springframework.aop.support.DelegatingIntroductionInterceptor.doProceed(DelegatingIntroductionInterceptor.java:131) at org.springframework.aop.support.DelegatingIntroductionInterceptor.invoke(DelegatingIntroductionInterceptor.java:119) at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172) at org.springframework.osgi.service.importer.support.LocalBundleContextAdvice.invoke(LocalBundleContextAdvice.java:59) at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172) at org.springframework.aop.support.DelegatingIntroductionInterceptor.doProceed(DelegatingIntroductionInterceptor.java:131) at org.springframework.aop.support.DelegatingIntroductionInterceptor.invoke(DelegatingIntroductionInterceptor.java:119) at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172) at org.springframework.aop.framework.JdkDynamicAopProxy.invoke(JdkDynamicAopProxy.java:202) at $Proxy47.satisfyConstraints(Unknown Source) at com.springsource.kernel.deployer.app.MultiBundleApplication.checkModuleConstraints(MultiBundleApplication.java:207) at com.springsource.kernel.deployer.app.MultiBundleApplication.deploy(MultiBundleApplication.java:136) at com.springsource.kernel.deployer.core.internal.StandardApplicationDeployer.deploy(StandardApplicationDeployer.java:379) ... 6 more [2009-08-18 11:59:32.814] fs-watcher <HD0002E> Hot deploy failed for resource '/Users/rmadala/system-verification-tests/com.springsource.server.svt/target/test-expanded/springsource-dm-server-2.0.0.CI-B364/pickup/org.springframework.petclinic.eclipselink-2.0.0.RELEASE.par'.
    via by Radhika Madala (c),
    • com.springsource.kernel.deployer.core.DeploymentException: Dependency satisfaction failed at com.springsource.kernel.deployer.core.internal.StandardApplicationDeployer.deploy(StandardApplicationDeployer.java:384) at com.springsource.kernel.deployer.hot.HotDeploymentFileSystemListener.deploy(HotDeploymentFileSystemListener.java:191) at com.springsource.kernel.deployer.hot.HotDeploymentFileSystemListener.onChange(HotDeploymentFileSystemListener.java:88) at com.springsource.util.io.FileSystemChecker.notifyListeners(FileSystemChecker.java:182) at com.springsource.util.io.FileSystemChecker.check(FileSystemChecker.java:145) at com.springsource.kernel.deployer.hot.WatchTask.run(WatchTask.java:69) at java.lang.Thread.run(Thread.java:637) Caused by: com.springsource.kernel.osgi.framework.UnableToSatisfyBundleDependenciesException: Unable to satisfy dependencies of bundle 'org.springframework.petclinic.eclipselink-2.0.0.RELEASE-org.springframework.petclinic.eclipselink-synthetic.context' at version '2.0.0.RELEASE': Cannot resolve: org.springframework.petclinic.eclipselink-2.0.0.RELEASE-org.springframework.petclinic.eclipselink-synthetic.context Resolver report: Missing constraint: <Import-Package: org.springframework.petclinic.repository.jpa; version="0.0.0"> in bundle <org.springframework.petclinic.eclipselink-2.0.0.RELEASE-org.springframework.petclinic.eclipselink-synthetic.context_2.0.0.RELEASE> Uses violation: <Import-Package: org.springframework.beans.factory.aspectj; version="0.0.0"> in bundle <org.springframework.petclinic.eclipselink-2.0.0.RELEASE-org.springframework.petclinic.repository.jpa_2.0.0.RELEASE> Possible matches: <Export-Package: org.springframework.beans.factory.aspectj; version="3.0.0.CI-282"> from <org.springframework.aspects_3.0.0.CI-282> No dependent constraint mismatch. Try refreshing the <org.springframework.aspects_3.0.0.CI-282> bundle. at com.springsource.kernel.osgi.framework.equinox.DependencyCalculator.calculateDependencies(DependencyCalculator.java:153) at com.springsource.kernel.osgi.framework.equinox.EquinoxBundleInstaller.satisfyConstraints(EquinoxBundleInstaller.java:150) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) at java.lang.reflect.Method.invoke(Method.java:597) at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:307) at org.springframework.osgi.service.importer.support.internal.aop.ServiceInvoker.doInvoke(ServiceInvoker.java:58) at org.springframework.osgi.service.importer.support.internal.aop.ServiceInvoker.invoke(ServiceInvoker.java:62) at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172) at org.springframework.aop.support.DelegatingIntroductionInterceptor.doProceed(DelegatingIntroductionInterceptor.java:131) at org.springframework.aop.support.DelegatingIntroductionInterceptor.invoke(DelegatingIntroductionInterceptor.java:119) at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172) at org.springframework.osgi.service.importer.support.LocalBundleContextAdvice.invoke(LocalBundleContextAdvice.java:59) at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172) at org.springframework.aop.support.DelegatingIntroductionInterceptor.doProceed(DelegatingIntroductionInterceptor.java:131) at org.springframework.aop.support.DelegatingIntroductionInterceptor.invoke(DelegatingIntroductionInterceptor.java:119) at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172) at org.springframework.aop.framework.JdkDynamicAopProxy.invoke(JdkDynamicAopProxy.java:202) at $Proxy47.satisfyConstraints(Unknown Source) at com.springsource.kernel.deployer.app.MultiBundleApplication.checkModuleConstraints(MultiBundleApplication.java:207) at com.springsource.kernel.deployer.app.MultiBundleApplication.deploy(MultiBundleApplication.java:136) at com.springsource.kernel.deployer.core.internal.StandardApplicationDeployer.deploy(StandardApplicationDeployer.java:379) ... 6 more
    No Bugmate found.